opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::OneWayDescriptorMatcher Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::OneWayDescriptorMatcher:

## Classes

class | Params

## Public Member Functions

virtual void | clear ()
virtual Ptr < GenericDescriptorMatcher > | clone (bool emptyTrainData=false) const
void | initialize (const Params &params, const Ptr< OneWayDescriptorBase > &base=Ptr< OneWayDescriptorBase >())
virtual bool | isMaskSupported ()
| OneWayDescriptorMatcher (const Params &params=Params())
virtual void | read (const FileNode &fn)
virtual void | train ()
virtual void | write (FileStorage &fs) const
virtual | ~OneWayDescriptorMatcher ()
Public Member Functions inherited from cv::GenericDescriptorMatcher
virtual void | add (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints)
void | classify (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints) const
void | classify (const Mat &queryImage, vector< KeyPoint > &queryKeypoints)
| GenericDescriptorMatcher ()
const vector< Mat > & | getTrainImages () const
const vector< vector< KeyPoint > > & | getTrainKeypoints () const
void | knnMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints, vector< vector< DMatch > > &matches, int k, const Mat &mask=Mat(), bool compactResult=false) const
void | knnMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
void | match (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints, vector< DMatch > &matches, const Mat &mask=Mat()) const
void | match (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< DMatch > &matches, const vector< Mat > &masks=vector< Mat >())
void | radiusMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const Mat &mask=Mat(), bool compactResult=false) const
void | radiusMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
virtual | ~GenericDescriptorMatcher ()

## Protected Member Functions

virtual void | knnMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks, bool compactResult)
virtual void | radiusMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks, bool compactResult)

## Protected Attributes

Ptr< OneWayDescriptorBase > | base
Params | params
int | prevTrainCount
Protected Attributes inherited from cv::GenericDescriptorMatcher
KeyPointCollection | trainPointCollection

## Additional Inherited Members

Static Public Member Functions inherited from cv::GenericDescriptorMatcher
static Ptr < GenericDescriptorMatcher > | create (const string &genericDescritptorMatcherType, const string &paramsFilename=string())

## Constructor & Destructor Documentation

cv::OneWayDescriptorMatcher::OneWayDescriptorMatcher | ( | const Params & | params = `Params()` | ) |

virtual cv::OneWayDescriptorMatcher::~OneWayDescriptorMatcher | ( |  | ) |

virtual

## Member Function Documentation

virtual void cv::OneWayDescriptorMatcher::clear | ( |  | ) |

virtual

Reimplemented from cv::GenericDescriptorMatcher.

virtual Ptr<GenericDescriptorMatcher> cv::OneWayDescriptorMatcher::clone | ( | bool | emptyTrainData = `false` | ) | const

virtual

Implements cv::GenericDescriptorMatcher.

void cv::OneWayDescriptorMatcher::initialize | ( | const Params & | params,
|  | const Ptr< OneWayDescriptorBase > & | base = `Ptr< OneWayDescriptorBase >()`
| ) |  |

virtual bool cv::OneWayDescriptorMatcher::isMaskSupported | ( |  | ) |

virtual

Implements cv::GenericDescriptorMatcher.

virtual void cv::OneWayDescriptorMatcher::knnMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  |

protected virtual

Implements cv::GenericDescriptorMatcher.

virtual void cv::OneWayDescriptorMatcher::radiusMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  |

protected virtual

Implements cv::GenericDescriptorMatcher.

virtual void cv::OneWayDescriptorMatcher::read | ( | const FileNode & | fn | ) |

virtual

Reimplemented from cv::GenericDescriptorMatcher.

virtual void cv::OneWayDescriptorMatcher::train | ( |  | ) |

virtual

Reimplemented from cv::GenericDescriptorMatcher.

virtual void cv::OneWayDescriptorMatcher::write | ( | FileStorage & | fs | ) | const

virtual

Reimplemented from cv::GenericDescriptorMatcher.

## Member Data Documentation

Ptr<OneWayDescriptorBase> cv::OneWayDescriptorMatcher::base

protected

Params cv::OneWayDescriptorMatcher::params

protected

int cv::OneWayDescriptorMatcher::prevTrainCount

protected

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp